<?php
namespace FiloBlu\Rma\Plugin\Model\Rma\Status;
use Magento\Sales\Api\OrderRepositoryInterface;
class History
{
    /**
     * @var OrderRepositoryInterface
     */
    private $orderRepository;

    /**
     * History constructor.
     * @param OrderRepositoryInterface $orderRepository
     */
    public function __construct(
        OrderRepositoryInterface $orderRepository
    ){
        $this->orderRepository = $orderRepository;
    }

    /**
     * @param \Magento\Rma\Model\Rma\Status\History $subject
     * @param callable $proceed
     * @return \Magento\Rma\Model\Rma\Status\History
     */
    public function aroundSendNewRmaEmail(\Magento\Rma\Model\Rma\Status\History $subject , callable $proceed){
        $rma = $subject->getRma();
        $allShipments = $rma->getOrder()->getShipmentsCollection();
        if(!$allShipments){
            return $subject;
        }
        return $proceed();
    }
}